DCMTK: DcmInputFileStreamFactory Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmInputFileStreamFactory Class Reference

input stream factory for plain files More...

Inheritance diagram for DcmInputFileStreamFactory:

## Public Member Functions
| DcmInputFileStreamFactory (const OFFilename &filename, offile_off_t offset)
| constructor
| DcmInputFileStreamFactory (const DcmInputFileStreamFactory &arg)
| copy constructor
virtual | ~DcmInputFileStreamFactory ()
| destructor
virtual DcmInputStream * | create () const
| create a new input stream object
virtual DcmInputStreamFactory * | clone () const
| returns a pointer to a copy of this object
virtual DcmInputStreamFactoryType | ident () const
| returns an enum describing the class to which this instance belongs
virtual OFFilename const & | getFilename () const
| returns name of the file
virtual offile_off_t | getOffset () const
| returns offset of the data in the file
Public Member Functions inherited from DcmInputStreamFactory
virtual | ~DcmInputStreamFactory ()
| destructor

## Private Member Functions
DcmInputFileStreamFactory & | operator= (const DcmInputFileStreamFactory &)
| private unimplemented copy assignment operator

## Private Attributes
OFFilename | filename_
| filename
offile_off_t | offset_
| offset in file

## Detailed Description

input stream factory for plain files

## Constructor & Destructor Documentation

## ◆ DcmInputFileStreamFactory() [1/2]

DcmInputFileStreamFactory::DcmInputFileStreamFactory | ( | const OFFilename & | filename,
|  | offile_off_t | offset )

constructor

Parameters

  filename | name of file to be opened (may contain wide chars if support enabled)
  offset | byte offset to skip from the start of file

Referenced by DcmInputFileStreamFactory(), clone(), and operator=().

## ◆ DcmInputFileStreamFactory() [2/2]

DcmInputFileStreamFactory::DcmInputFileStreamFactory | ( | const DcmInputFileStreamFactory & | arg | ) |

copy constructor

Parameters

  arg | the factory to copy

References DcmInputFileStreamFactory().

## Member Function Documentation

## ◆ create()

virtual DcmInputStream * DcmInputFileStreamFactory::create | ( |  | ) | const
| virtual

create a new input stream object

Returns
  pointer to new input stream object

Implements DcmInputStreamFactory.

## ◆ getFilename()

virtual OFFilename const & DcmInputFileStreamFactory::getFilename | ( |  | ) | const
| inlinevirtual

returns name of the file

Returns
  name of file

References filename_.

## ◆ getOffset()

virtual offile_off_t DcmInputFileStreamFactory::getOffset | ( |  | ) | const
| inlinevirtual

returns offset of the data in the file

Returns
  offset of the data in the file

References offset_.

## ◆ ident()

virtual DcmInputStreamFactoryType DcmInputFileStreamFactory::ident | ( |  | ) | const
| inlinevirtual

returns an enum describing the class to which this instance belongs

Returns
  class to which this instance belongs

Implements DcmInputStreamFactory.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcistrmf.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2